function uncheckAll(a, tag, conf)
% allSelected(app, tag) responsible for 'all' UN-checkbox behavior
%
% tag = id for each of the sections to save under
% conf is used to determine ALL unchecked behaviour
%
% Alex Estrada 1-10-2024

if nargin == 3
    switch tag
        case 'data'
            a.AverageProjectionCheckBox.Value = 0;
            a.OriginalDataSizeCheckBox.Value = 0;
            a.PreGraFTDataCheckBox.Value = 0;
            a.OriginalDataCheckBox.Value = 0;
        case 'pre_process'
            a.WaveletDenoisingMethodCheckBox.Value = 0;
            a.MotionCorrectionMethodCheckBox.Value = 0;
        case 'graft_results'
            a.SpatialCheckBox.Value = 0;
            a.DLReconstructionCheckBox.Value = 0;
            a.TemporalCheckBox.Value = 0;
            a.ROIsArtifactsCheckBox.Value = 0;
            a.PlotsforGraFTAppCheckBox.Value = 0;
            a.AbsSpatialvsDLReconstructionCheckBox.Value = 0;
        case 'log'
            a.PreProcessedCheckBox.Value = 0;
            a.ParametersCheckBox.Value = 0;
            a.AnalysisCheckBox.Value = 0;
        case 'about'
            a.StudyNameCheckBox.Value = 0;
            a.AuthorCheckBox.Value = 0;
            a.DateCheckBox.Value = 0;
    end
else
    switch tag
        case 'data'
            a.ALLCheckBox.Value = 0;
        case 'pre_process'
            a.ALLCheckBox_2.Value = 0;
        case 'graft_results'
            a.ALLCheckBox_3.Value = 0;
        case 'log'
            a.ALLCheckBox_4.Value = 0;
        case 'about'
            a.ALLCheckBox_5.Value = 0;
    end
end

